Class {
	#name : #BaselineOfMiniDocs,
	#superclass : #BaselineOf,
	#category : #BaselineOfMiniDocs
}

{ #category : #accessing }
BaselineOfMiniDocs >> baseline: spec [
	<baseline>
	spec
		for: #common
		do: [ 
			"Dependencies"
			self setUpTeapot: spec.
			self setUpPetitParser: spec.
			self setUpLepiterBuildingBlocs: spec.
			spec 
				baseline: 'Mustache' with: [ spec repository: 'github://noha/mustache' ];
				baseline: 'Temple' with: [ spec repository: 'github://astares/Pharo-Temple/src' ];
				"baseline: 'Teapot' with: [ spec repository: 'github://zeroflag/Teapot/source' ];"
				baseline: 'Tealight' with: [ spec repository: 'github://astares/Tealight:main/src' ];
				baseline: 'DataFrame'with: [ spec repository: 'github://PolyMathOrg/DataFrame/src' ].
			"self fossil: spec."
			"self xmlParserHTML: spec"
			"Packages"
			spec
				package: 'PetitMarkdown' with: [ spec requires: #('PetitParser')];
				package: 'MiniDocs' 
				with: [ spec 
						requires: #('LepiterBuildingBlocs' 
							'Mustache' 'Temple' 
							'Teapot' 'Tealight' 
							'PetitMarkdown' 'PetitParser'
							'DataFrame')
					].
			
			"Groups"
			
		].
	spec
		
]

{ #category : #accessing }
BaselineOfMiniDocs >> lepiterBuildingBlocs: spec [ 
	Metacello new
		baseline: 'LepiterBuildingBlocs';
		repository: 'github://botwhytho/LepiterBuildingBlocs:main/src';
		onConflict: [ :ex | ex useLoaded ];
    	onUpgrade: [ :ex | ex useLoaded ];
    	onDowngrade: [ :ex | ex useLoaded ];
    	onWarningLog;
		load.
	spec baseline: 'LepiterBuildingBlocs' with: [spec repository: 'github://botwhytho/LepiterBuildingBlocs:main/src']
]

{ #category : #accessing }
BaselineOfMiniDocs >> semanticVersion [
	"Using the same versioning of Grafoscopio as this the package that dictates new versions for it, 
	until the main Grafoscopio metapackage is build."
	^ '0A.4.0'
]

{ #category : #accessing }
BaselineOfMiniDocs >> setUpPetitParser: spec [ 
	spec 
	  baseline: 'PetitParser' 
	  with: [ spec
	  	repository: 'github://moosetechnology/PetitParser:v3.x.x/src';
	  	loads: #('Minimal' 'Core' 'Tests' 'Islands')];
	  import: 'PetitParser'
]

{ #category : #accessing }
BaselineOfMiniDocs >> setUpTeapot: spec [

  spec
    baseline: 'Teapot'
      with: [ spec
        repository: 'github://zeroflag/Teapot/source';
        loads: #('ALL') ];
    import: 'Teapot'
]

{ #category : #accessing }
BaselineOfMiniDocs >> xmlParserHTML: spec [

	spec
		baseline: 'XMLParserHTML'
		with: [ spec
			repository: 'github://pharo-contributions/XML-XMLParserHTML/src';
			loads: #('ALL')];
		import: 'XMLParserHTML'
]
